Thomas L. Shinnick wrote:
> At 02:54 PM 2/20/2008, Ken Johanson wrote:
>> Hi, seems I cannot compile on FC8 (conf'd with ldap support). I'm
>> presuming llber is a basic-encoding-rules lib but I do not know what
>> provides it? I have all openldap libs installed to my knowledge. Can
>> anyone help please?
>>
>> Thanks in advance,
>> Ken

>
> I find /usr/lib/liblber.so on my FC8 system. Checking, I see
> rpm -qf /usr/lib/liblber.so
> openldap-devel-2.3.39-1.fc8
>
> Do you have openldap-devel installed on your system?
>
> Hmm, checking further,
> ll /usr/lib/liblber*
> lrwxrwxrwx 1 root root 10 2008-01-06 02:45
> /usr/lib/liblber-2.3.so.0 -> liblber.so
> -rwxr-xr-x 1 root root 54012 2007-11-02 07:35
> /usr/lib/liblber-2.3.so.0.2.27
> -rw-r--r-- 1 root root 83212 2007-11-02 07:35 /usr/lib/liblber.a
> lrwxrwxrwx 1 root root 21 2008-01-06 02:53
> /usr/lib/liblber.so -> liblber-2.3.so.0.2.27
> rpm -qf /usr/lib/liblber.so
> openldap-devel-2.3.39-1.fc8
> rpm -qf /usr/lib/liblber-2.3.so.0
> openldap-2.3.39-1.fc8
> rpm -qf /usr/lib/liblber-2.3.so.0.2.27
> openldap-2.3.39-1.fc8
> rpm -qf /usr/lib/liblber.a
> openldap-devel-2.3.39-1.fc8
>
> I give up, do you have _both_ openldap and openldap-devel installed?
>


I do have them both installed, yes. I appear to have all the header
files and libs.

/usr/lib/liblber.so -> liblber-2.3.so.0.2.27
/usr/lib/liblber.a
/usr/include/lber.h
/usr/include/lber_types.h
(and others)

Anything I should try?



-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
ProFTPD Users List
Unsubscribe problems?
http://www.proftpd.org/list-unsub.html